org.apache.coyote.http2

## Enum FrameType

- java.lang.Object
- - java.lang.Enum<FrameType>
  - - org.apache.coyote.http2.FrameType

- All Implemented Interfaces:
    Serializable, Comparable<FrameType>

      public enum FrameType
      extends Enum<FrameType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTINUATION`
    `DATA`
    `GOAWAY`
    `HEADERS`
    `PING`
    `PRIORITY`
    `PUSH_PROMISE`
    `RST`
    `SETTINGS`
    `UNKNOWN`
    `WINDOW_UPDATE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `check(int streamId, int payloadSize)`
    `byte` | `getIdByte()`
    `static FrameType` | `valueOf(int i)`
    `static FrameType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FrameType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DATA

          public static final FrameType DATA

    - #### HEADERS

          public static final FrameType HEADERS

    - #### PRIORITY

          public static final FrameType PRIORITY

    - #### RST

          public static final FrameType RST

    - #### SETTINGS

          public static final FrameType SETTINGS

    - #### PUSH_PROMISE

          public static final FrameType PUSH_PROMISE

    - #### PING

          public static final FrameType PING

    - #### GOAWAY

          public static final FrameType GOAWAY

    - #### WINDOW_UPDATE

          public static final FrameType WINDOW_UPDATE

    - #### CONTINUATION

          public static final FrameType CONTINUATION

    - #### UNKNOWN

          public static final FrameType UNKNOWN

  - ### Method Detail

    - #### values

          public static FrameType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FrameType c : FrameType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FrameType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getIdByte

          public byte getIdByte()

    - #### check

          public void check(int streamId,
                   int payloadSize)
                     throws Http2Exception

      Throws:
        `Http2Exception`

    - #### valueOf

          public static FrameType valueOf(int i)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.